ruby-spreadsheet_1.0.0-1_all.deb


Advertisement

Description

ruby-spreadsheet - Ruby library for manipulating MS Excel (.xls) spreadsheets

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-spreadsheet
Package version 1.0.0
Package release 1
Package architecture all
Package type deb
Installed size 352 B
Download size 57.02 KB
Official Mirror archive.ubuntu.com
This module provides a pure-Ruby implementation of a spreadsheet
manipulation library, allowing for creating, reading and modifying
files in the Microsoft Excel (.xls) format.

Alternatives

Package Version Architecture Repository
ruby-spreadsheet_1.0.0-1_all.deb 1.0.0 all Ubuntu Universe
ruby-spreadsheet - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-ole -

Download

Type URL
Binary Package ruby-spreadsheet_1.0.0-1_all.deb
Source Package ruby-spreadsheet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-spreadsheet deb package:
    # sudo apt-get install ruby-spreadsheet

Files

Path
/usr/lib/ruby/vendor_ruby/parseexcel.rb
/usr/lib/ruby/vendor_ruby/spreadsheet.rb
/usr/lib/ruby/vendor_ruby/parseexcel/parseexcel.rb
/usr/lib/ruby/vendor_ruby/parseexcel/parser.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/column.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/compatibility.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/datatypes.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/encodings.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/errors.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/font.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/format.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/formula.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/helpers.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/link.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/note.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/noteObject.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/row.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/workbook.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/worksheet.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/writer.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/error.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/internals.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/offset.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/password_hash.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/reader.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/rgb.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/row.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/sst_entry.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/workbook.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/worksheet.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/writer.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/internals/biff5.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/internals/biff8.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/reader/biff5.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/reader/biff8.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/writer/biff8.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/writer/format.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/writer/n_worksheet.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/writer/workbook.rb
/usr/lib/ruby/vendor_ruby/spreadsheet/excel/writer/worksheet.rb
/usr/share/doc/ruby-spreadsheet/GUIDE.md.gz
/usr/share/doc/ruby-spreadsheet/README.md
/usr/share/doc/ruby-spreadsheet/changelog.Debian.gz
/usr/share/doc/ruby-spreadsheet/copyright
/usr/share/doc/ruby-spreadsheet/examples/xlsopcodes
/usr/share/rubygems-integration/all/specifications/spreadsheet-1.0.0.gemspec

Changelog

2014-10-07 - Cédric Boutillier <boutil@debian.org>
ruby-spreadsheet (1.0.0-1) unstable; urgency=medium
* Imported Upstream version 1.0.0
* Bump Standards-Version to 3.9.6 (no changes needed)
2014-08-27 - Cédric Boutillier <boutil@debian.org>
ruby-spreadsheet (0.9.8-1) unstable; urgency=medium
* Imported Upstream version 0.9.8
* Add autopkgtest support
2014-04-15 - Cédric Boutillier <boutil@debian.org>
ruby-spreadsheet (0.9.7-1) unstable; urgency=medium
* Imported Upstream version 0.9.7
* Bump Standards-Version to 3.9.5 (no changes needed)
2013-09-18 - Cédric Boutillier <boutil@debian.org>
ruby-spreadsheet (0.9.0-2) unstable; urgency=low
* Install History.md as upstream changelog
2013-09-17 - Cédric Boutillier <boutil@debian.org>
ruby-spreadsheet (0.9.0-1) unstable; urgency=low
* Imported Upstream version 0.9.0
* ruby-spreadsheet.docs: added GUIDE.md, changed extension of README.md
2013-06-04 - Cédric Boutillier <boutil@debian.org>
ruby-spreadsheet (0.8.5-1) unstable; urgency=low
* New upstream version
* debian/copyright: 
- use DEP5 copyright-format/1.0 official URL for Format field
- slightly refresh syntax
* debian/control:
+ use canonical URI in Vcs-* fields
+ bump Standards-version to 3.9.4 (no changes needed)
+ drop transitional packages
+ depend on ruby instead of ruby1.8, drop lib*ruby dependencies
+ add myself to uploaders
* debian/patches: patch out use of bundler/rubygems from tests
* debian/source: add unapply-patches to local-options
* debian/ruby-tests.rb: change slightly the way tests are run
2012-06-28 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-spreadsheet (0.7.3-1) unstable; urgency=low
* Team upload
* New upstream version
* Build-depend on gem2deb >= 0.3.0~
* Bump Standards-Version: to 3.9.3 (no changes needed)
* Set priority of transitional packages to extra
* Replace Conflicts with Breaks for dependency relations on previous
versions following old Ruby policy
* Override lintian warnings about duplicate descriptions for transitional
packages
* remove History.txt from ruby-spreadsheet.docs to avoid duplicate
installation of the changelog
* Drop run_tests_under_1.8 patch (not needed any more)
2011-08-20 - Gunnar Wolf <gwolf@debian.org>
ruby-spreadsheet (0.6.5.7-1) unstable; urgency=low
* New upstream release
2011-06-08 - Gunnar Wolf <gwolf@debian.org>
ruby-spreadsheet (0.6.5.4-2) unstable; urgency=low
* Added missing build-dependency on ruby-ole, needed to run the test
suite (Closes: #628252)
2011-05-16 - Gunnar Wolf <gwolf@debian.org>
ruby-spreadsheet (0.6.5.4-1) unstable; urgency=low
* New upstream release
* Repackaged with the gem2deb packaging infrastructure
* Enable running the test suite at build time

See Also

Package Description
ruby-spring_1.3.6-2_all.deb Rails application preloader
ruby-sprite-factory_1.7.1-2_all.deb automatic css sprite generator
ruby-sprockets-rails_2.3.2-1_all.deb Sprockets Rails integration (part of Rails)
ruby-sprockets_3.3.0-1_all.deb Rack-based asset packaging system
ruby-spy_0.4.2-1_all.deb simple modern mocking library using the spy pattern
ruby-sqlite3_1.3.11-2build1_i386.deb SQLite3 interface for Ruby
ruby-sshkit_1.9.0~rc1-1_all.deb toolkit for running commands in a structured way on one or more servers
ruby-stamp_0.6.0-1_all.deb date and time formatting for humans
ruby-standalone_0.5.1_i386.deb Ruby interpreter that won't integrate with Debian packages
ruby-state-machine_1.2.0-2_all.deb State machines for attributes
ruby-state-machines-activemodel_0.3.0-1_all.deb ActiveModel integration for State Machines
ruby-state-machines-activerecord_0.3.0-1_all.deb State machines Active Record Integration
ruby-state-machines_0.4.0-2_all.deb Adds support for creating state machines for attributes on any Ruby class
ruby-stomp_1.3.5-1_all.deb Ruby client for the stomp messaging protocol
ruby-stringex_2.5.2-3_all.deb Some useful extensions to Ruby's String class
Advertisement
Advertisement